diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-phy.h ns-3.44/src/lte/model/lte-phy.h
--- ns-3.43/src/lte/model/lte-phy.h	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-phy.h	2025-03-09 16:55:49.603371900 -0700
@@ -13,15 +13,15 @@
 
 #include "lte-spectrum-phy.h"
 
-#include <ns3/generic-phy.h>
-#include <ns3/mobility-model.h>
-#include <ns3/nstime.h>
-#include <ns3/packet.h>
-#include <ns3/spectrum-channel.h>
-#include <ns3/spectrum-interference.h>
-#include <ns3/spectrum-phy.h>
-#include <ns3/spectrum-signal-parameters.h>
-#include <ns3/spectrum-value.h>
+#include "ns3/generic-phy.h"
+#include "ns3/mobility-model.h"
+#include "ns3/nstime.h"
+#include "ns3/packet.h"
+#include "ns3/spectrum-channel.h"
+#include "ns3/spectrum-interference.h"
+#include "ns3/spectrum-phy.h"
+#include "ns3/spectrum-signal-parameters.h"
+#include "ns3/spectrum-value.h"
 
 namespace ns3
 {
@@ -31,7 +31,7 @@
 class LteControlMessage;
 
 /**
- * \ingroup lte
+ * @ingroup lte
  *
  * The LtePhy models the physical layer of LTE. It is composed by two
  * LteSpectrumPhy, one for the downlink and one for the uplink.
@@ -46,63 +46,63 @@
 
     /**
      *
-     * \param dlPhy the downlink LteSpectrumPhy instance
-     * \param ulPhy the uplink LteSpectrumPhy instance
+     * @param dlPhy the downlink LteSpectrumPhy instance
+     * @param ulPhy the uplink LteSpectrumPhy instance
      */
     LtePhy(Ptr<LteSpectrumPhy> dlPhy, Ptr<LteSpectrumPhy> ulPhy);
 
     ~LtePhy() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Set the device where the phy layer is attached
-     * \param d the device
+     * @brief Set the device where the phy layer is attached
+     * @param d the device
      */
     void SetDevice(Ptr<LteNetDevice> d);
     /**
-     * \brief Get the device where the phy layer is attached
-     * \return the pointer to the device
+     * @brief Get the device where the phy layer is attached
+     * @return the pointer to the device
      */
     Ptr<LteNetDevice> GetDevice() const;
 
     /**
      *
-     * \return a pointer to the LteSpectrumPhy instance that manages the downlink
+     * @return a pointer to the LteSpectrumPhy instance that manages the downlink
      */
     Ptr<LteSpectrumPhy> GetDownlinkSpectrumPhy();
 
     /**
      *
-     * \return a pointer to the LteSpectrumPhy instance that manages the uplink
+     * @return a pointer to the LteSpectrumPhy instance that manages the uplink
      */
     Ptr<LteSpectrumPhy> GetUplinkSpectrumPhy();
 
     /**
-     * \brief Queue the MAC PDU to be sent (according to m_macChTtiDelay)
-     * \param p the MAC PDU to sent
+     * @brief Queue the MAC PDU to be sent (according to m_macChTtiDelay)
+     * @param p the MAC PDU to sent
      */
     virtual void DoSendMacPdu(Ptr<Packet> p) = 0;
 
     /**
      * Set the downlink channel
-     * \param c the downlink channel
+     * @param c the downlink channel
      */
     void SetDownlinkChannel(Ptr<SpectrumChannel> c);
 
     /**
      * Set the uplink channel
-     * \param c the uplink channel
+     * @param c the uplink channel
      */
     void SetUplinkChannel(Ptr<SpectrumChannel> c);
 
     /**
-     * \brief Compute the TX Power Spectral Density
-     * \return a pointer to a newly allocated SpectrumValue representing the TX Power Spectral
+     * @brief Compute the TX Power Spectral Density
+     * @return a pointer to a newly allocated SpectrumValue representing the TX Power Spectral
      * Density in W/Hz for each Resource Block
      */
     virtual Ptr<SpectrumValue> CreateTxPowerSpectralDensity() = 0;
@@ -110,61 +110,61 @@
     void DoDispose() override;
 
     /**
-     * \param tti transmission time interval
+     * @param tti transmission time interval
      */
     void SetTti(double tti);
     /**
-     * \returns transmission time interval
+     * @returns transmission time interval
      */
     double GetTti() const;
 
     /**
      *
-     * \param cellId the Cell Identifier
+     * @param cellId the Cell Identifier
      */
     void DoSetCellId(uint16_t cellId);
 
     /**
-     * \returns the RB group size according to the bandwidth
+     * @returns the RB group size according to the bandwidth
      */
     uint8_t GetRbgSize() const;
 
     /**
-     * \returns the SRS periodicity (see Table 8.2-1 of 36.213)
-     * \param srcCi the SRS Configuration Index
+     * @returns the SRS periodicity (see Table 8.2-1 of 36.213)
+     * @param srcCi the SRS Configuration Index
      */
     uint16_t GetSrsPeriodicity(uint16_t srcCi) const;
 
     /**
-     * \returns the SRS Subframe offset (see Table 8.2-1 of 36.213)
-     * \param srcCi the SRS Configuration Index
+     * @returns the SRS Subframe offset (see Table 8.2-1 of 36.213)
+     * @param srcCi the SRS Configuration Index
      */
     uint16_t GetSrsSubframeOffset(uint16_t srcCi) const;
 
     /**
-     * \param p queue MAC PDU to be sent
+     * @param p queue MAC PDU to be sent
      */
     void SetMacPdu(Ptr<Packet> p);
 
     /**
-     * \returns the packet burst to be sent
+     * @returns the packet burst to be sent
      */
     Ptr<PacketBurst> GetPacketBurst();
 
     /**
-     * \param m the control message to be sent
+     * @param m the control message to be sent
      */
     void SetControlMessages(Ptr<LteControlMessage> m);
 
     /**
-     * \returns the list of control messages to be sent
+     * @returns the list of control messages to be sent
      */
     std::list<Ptr<LteControlMessage>> GetControlMessages();
 
     /**
      * generate a CQI report based on the given SINR of Ctrl frame
      *
-     * \param sinr the SINR vs frequency measured by the device
+     * @param sinr the SINR vs frequency measured by the device
      */
     virtual void GenerateCtrlCqiReport(const SpectrumValue& sinr) = 0;
 
@@ -172,7 +172,7 @@
      * generate a CQI report based on the given SINR of Data frame
      * (used for PUSCH CQIs)
      *
-     * \param sinr the SINR vs frequency measured by the device
+     * @param sinr the SINR vs frequency measured by the device
      */
     virtual void GenerateDataCqiReport(const SpectrumValue& sinr) = 0;
 
@@ -181,7 +181,7 @@
      * perceived during DATA frame
      * NOTE: used only by eNB
      *
-     * \param interf the interference + noise power measured by the device
+     * @param interf the interference + noise power measured by the device
      */
     virtual void ReportInterference(const SpectrumValue& interf) = 0;
 
@@ -190,21 +190,21 @@
      * frame
      * NOTE: used only by UE for evaluating RSRP
      *
-     * \param power the RS power measured by the device
+     * @param power the RS power measured by the device
      */
     virtual void ReportRsReceivedPower(const SpectrumValue& power) = 0;
 
     /**
      * Set the component carrier ID
      *
-     * \param index the component carrier ID index
+     * @param index the component carrier ID index
      */
     void SetComponentCarrierId(uint8_t index);
 
     /**
      * Get the component carrier ID
      *
-     * \returns the component carrier ID index
+     * @returns the component carrier ID index
      */
     uint8_t GetComponentCarrierId() const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-phy-tag.h ns-3.44/src/lte/model/lte-phy-tag.h
--- ns-3.43/src/lte/model/lte-phy-tag.h	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-phy-tag.h	2025-03-09 16:55:49.603371900 -0700
@@ -21,8 +21,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -34,7 +34,7 @@
 
     /**
      * Create a LtePhyTag with the given RNTI and LC id
-     * \param cellId the cell ID
+     * @param cellId the cell ID
      */
     LtePhyTag(uint16_t cellId);
 
@@ -48,7 +48,7 @@
     /**
      * Get cell ID
      *
-     * \returns cell ID
+     * @returns cell ID
      */
     uint16_t GetCellId() const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-radio-bearer-info.cc ns-3.44/src/lte/model/lte-radio-bearer-info.cc
--- ns-3.43/src/lte/model/lte-radio-bearer-info.cc	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-radio-bearer-info.cc	2025-03-09 16:55:49.603371900 -0700
@@ -11,7 +11,7 @@
 #include "lte-pdcp.h"
 #include "lte-rlc.h"
 
-#include <ns3/log.h>
+#include "ns3/log.h"
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-radio-bearer-info.h ns-3.44/src/lte/model/lte-radio-bearer-info.h
--- ns-3.43/src/lte/model/lte-radio-bearer-info.h	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-radio-bearer-info.h	2025-03-09 16:55:49.603371900 -0700
@@ -12,9 +12,9 @@
 #include "eps-bearer.h"
 #include "lte-rrc-sap.h"
 
-#include <ns3/ipv4-address.h>
-#include <ns3/object.h>
-#include <ns3/pointer.h>
+#include "ns3/ipv4-address.h"
+#include "ns3/object.h"
+#include "ns3/pointer.h"
 
 namespace ns3
 {
@@ -32,8 +32,8 @@
     LteRadioBearerInfo();
     ~LteRadioBearerInfo() override;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -49,8 +49,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -66,8 +66,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-radio-bearer-tag.h ns-3.44/src/lte/model/lte-radio-bearer-tag.h
--- ns-3.43/src/lte/model/lte-radio-bearer-tag.h	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-radio-bearer-tag.h	2025-03-09 16:55:49.603371900 -0700
@@ -23,8 +23,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -36,16 +36,16 @@
 
     /**
      * Create a LteRadioBearerTag with the given RNTI and LC id
-     * \param rnti the RNTI
-     * \param lcId the LCID
+     * @param rnti the RNTI
+     * @param lcId the LCID
      */
     LteRadioBearerTag(uint16_t rnti, uint8_t lcId);
 
     /**
      * Create a LteRadioBearerTag with the given RNTI, LC id and layer
-     * \param rnti the RNTI
-     * \param lcId the LCID
-     * \param layer the layer
+     * @param rnti the RNTI
+     * @param lcId the LCID
+     * @param layer the layer
      */
     LteRadioBearerTag(uint16_t rnti, uint8_t lcId, uint8_t layer);
 
@@ -78,19 +78,19 @@
     /**
      * Get RNTI function
      *
-     * \returns RNTI
+     * @returns RNTI
      */
     uint16_t GetRnti() const;
     /**
      * Get LCID function
      *
-     * \returns LCID
+     * @returns LCID
      */
     uint8_t GetLcid() const;
     /**
      * Get layer function
      *
-     * \returns layer
+     * @returns layer
      */
     uint8_t GetLayer() const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-rlc-am.cc ns-3.44/src/lte/model/lte-rlc-am.cc
--- ns-3.43/src/lte/model/lte-rlc-am.cc	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-rlc-am.cc	2025-03-09 16:55:49.603371900 -0700
@@ -1012,7 +1012,7 @@
             NS_LOG_LOGIC("Reordering timer is running");
             if ((m_vrX == m_vrR) || ((!IsInsideReceivingWindow(m_vrX)) && (m_vrX != m_vrMr)))
             {
-                /// \todo stop and reset the t-Reordering
+                /// @todo stop and reset the t-Reordering
                 NS_LOG_LOGIC("Stop reordering timer");
                 m_reorderingTimer.Cancel();
             }
@@ -1219,7 +1219,7 @@
             {
                 NS_LOG_LOGIC("INTERNAL ERROR: Not enough data in the packet ("
                              << packet->GetSize() << "). Needed LI=" << lengthIndicator);
-                /// \todo What to do in this case? Discard packet and continue? Or Assert?
+                /// @todo What to do in this case? Discard packet and continue? Or Assert?
             }
 
             // Split packet in two fragments
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-rlc-am.h ns-3.44/src/lte/model/lte-rlc-am.h
--- ns-3.43/src/lte/model/lte-rlc-am.h	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-rlc-am.h	2025-03-09 16:55:49.603371900 -0700
@@ -12,7 +12,7 @@
 #include "lte-rlc-sequence-number.h"
 #include "lte-rlc.h"
 
-#include <ns3/event-id.h>
+#include "ns3/event-id.h"
 
 #include <map>
 #include <vector>
@@ -29,8 +29,8 @@
     LteRlcAm();
     ~LteRlcAm() override;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     void DoDispose() override;
@@ -38,14 +38,14 @@
     /**
      * RLC SAP
      *
-     * \param p packet
+     * @param p packet
      */
     void DoTransmitPdcpPdu(Ptr<Packet> p) override;
 
     /**
      * MAC SAP
      *
-     * \param txOpParams the LteMacSapUser::TxOpportunityParameters
+     * @param txOpParams the LteMacSapUser::TxOpportunityParameters
      */
     void DoNotifyTxOpportunity(LteMacSapUser::TxOpportunityParameters txOpParams) override;
     /**
@@ -75,8 +75,8 @@
     /**
      * method called when the T_status_prohibit timer expires
      *
-     * \param seqNumber SequenceNumber10
-     * \returns true is inside receiving window
+     * @param seqNumber SequenceNumber10
+     * @returns true is inside receiving window
      */
     bool IsInsideReceivingWindow(SequenceNumber10 seqNumber);
     //
@@ -87,7 +87,7 @@
     /**
      * Reassemble and deliver
      *
-     * \param packet the packet
+     * @param packet the packet
      */
     void ReassembleAndDeliver(Ptr<Packet> packet);
 
@@ -98,14 +98,14 @@
 
   private:
     /**
-     * \brief Store an incoming (from layer above us) PDU, waiting to transmit it
+     * @brief Store an incoming (from layer above us) PDU, waiting to transmit it
      */
     struct TxPdu
     {
         /**
-         * \brief TxPdu default constructor
-         * \param pdu the PDU
-         * \param time the arrival time
+         * @brief TxPdu default constructor
+         * @param pdu the PDU
+         * @param time the arrival time
          */
         TxPdu(const Ptr<Packet>& pdu, const Time& time)
             : m_pdu(pdu),
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-rlc-am-header.h ns-3.44/src/lte/model/lte-rlc-am-header.h
--- ns-3.43/src/lte/model/lte-rlc-am-header.h	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-rlc-am-header.h	2025-03-09 16:55:49.603371900 -0700
@@ -19,8 +19,8 @@
 {
 
 /**
- * \ingroup lte
- * \brief The packet header for the AM Radio Link Control (RLC) protocol packets
+ * @ingroup lte
+ * @brief The packet header for the AM Radio Link Control (RLC) protocol packets
  *
  * This class has fields corresponding to those in an RLC header as well as
  * methods for serialization to and deserialization from a byte buffer.
@@ -30,7 +30,7 @@
 {
   public:
     /**
-     * \brief Constructor
+     * @brief Constructor
      *
      * Creates a null header
      */
@@ -42,17 +42,17 @@
     /**
      * Set control PDU function
      *
-     * \param controlPduType
+     * @param controlPduType
      */
     void SetControlPdu(uint8_t controlPduType);
     /**
      * Is data PDU function
-     * \returns true if data PDU
+     * @returns true if data PDU
      */
     bool IsDataPdu() const;
     /**
      * Is control PDU function
-     * \returns true if control PDU
+     * @returns true if control PDU
      */
     bool IsControlPdu() const;
 
@@ -73,26 +73,26 @@
     /**
      * Set sequence number
      *
-     * \param sequenceNumber sequence number
+     * @param sequenceNumber sequence number
      */
     void SetSequenceNumber(SequenceNumber10 sequenceNumber);
     /**
      * Get sequence number
      *
-     * \returns sequence number
+     * @returns sequence number
      */
     SequenceNumber10 GetSequenceNumber() const;
 
     /**
      * Set sequence number
      *
-     * \param framingInfo framing info
+     * @param framingInfo framing info
      */
     void SetFramingInfo(uint8_t framingInfo);
     /**
      * Get framing info
      *
-     * \returns framing info
+     * @returns framing info
      */
     uint8_t GetFramingInfo() const;
 
@@ -108,26 +108,26 @@
     /**
      * Push extension bit function
      *
-     * \param extensionBit the extension bit
+     * @param extensionBit the extension bit
      */
     void PushExtensionBit(uint8_t extensionBit);
     /**
      * Push length indicator function
      *
-     * \param lengthIndicator the length indicator
+     * @param lengthIndicator the length indicator
      */
     void PushLengthIndicator(uint16_t lengthIndicator);
 
     /**
      * Pop extension bit function
      *
-     * \returns the extension bit
+     * @returns the extension bit
      */
     uint8_t PopExtensionBit();
     /**
      * Pop length indicator function
      *
-     * \returns the length indicator
+     * @returns the length indicator
      */
     uint16_t PopLengthIndicator();
 
@@ -141,13 +141,13 @@
     /**
      * Pop extension bit function
      *
-     * \param resegFlag resegmentation flag
+     * @param resegFlag resegmentation flag
      */
     void SetResegmentationFlag(uint8_t resegFlag);
     /**
      * Get resegmentation flag function
      *
-     * \returns resegmentation flag
+     * @returns resegmentation flag
      */
     uint8_t GetResegmentationFlag() const;
 
@@ -161,13 +161,13 @@
     /**
      * Set polling bit function
      *
-     * \param pollingBit polling bit
+     * @param pollingBit polling bit
      */
     void SetPollingBit(uint8_t pollingBit);
     /**
      * Get polling bit function
      *
-     * \returns polling bit
+     * @returns polling bit
      */
     uint8_t GetPollingBit() const;
 
@@ -181,13 +181,13 @@
     /**
      * Set last segment flag function
      *
-     * \param lsf last segment flag
+     * @param lsf last segment flag
      */
     void SetLastSegmentFlag(uint8_t lsf);
     /**
      * Get last segment flag function
      *
-     * \returns last segment flag
+     * @returns last segment flag
      */
     uint8_t GetLastSegmentFlag() const;
 
@@ -201,19 +201,19 @@
     /**
      * Set segment offset function
      *
-     * \param segmentOffset segment offset
+     * @param segmentOffset segment offset
      */
     void SetSegmentOffset(uint16_t segmentOffset);
     /**
      * Get segment offset function
      *
-     * \returns segment offset
+     * @returns segment offset
      */
     uint16_t GetSegmentOffset() const;
     /**
      * Get last offset function
      *
-     * \returns last offset
+     * @returns last offset
      */
     uint16_t GetLastOffset() const;
 
@@ -224,19 +224,19 @@
     /**
      * Set ack sn function
      *
-     * \param ackSn ack sn
+     * @param ackSn ack sn
      */
     void SetAckSn(SequenceNumber10 ackSn);
     /**
      * Get ack sn function
      *
-     * \returns sequence number
+     * @returns sequence number
      */
     SequenceNumber10 GetAckSn() const;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -248,25 +248,25 @@
     /**
      *
      *
-     * \param bytes max allowed CONTROL PDU size
+     * @param bytes max allowed CONTROL PDU size
      *
-     * \return true if one more NACK would fit in the CONTROL PDU; false otherwise
+     * @return true if one more NACK would fit in the CONTROL PDU; false otherwise
      */
     bool OneMoreNackWouldFitIn(uint16_t bytes);
 
     /**
      * Add one more NACK to the CONTROL PDU
      *
-     * \param nack
+     * @param nack
      */
     void PushNack(int nack);
 
     /**
      *
      *
-     * \param nack SN of the NACK
+     * @param nack SN of the NACK
      *
-     * \return true if the NACK is present in the STATUS PDU, false otherwise
+     * @return true if the NACK is present in the STATUS PDU, false otherwise
      */
     bool IsNackPresent(SequenceNumber10 nack);
 
@@ -274,7 +274,7 @@
      * Retrieve one NACK from the CONTROL PDU
      *
      *
-     * \return the SN  >= 0 of the next nack; returns -1 if no NACK is left
+     * @return the SN  >= 0 of the next nack; returns -1 if no NACK is left
      */
     int PopNack();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-rlc.cc ns-3.44/src/lte/model/lte-rlc.cc
--- ns-3.43/src/lte/model/lte-rlc.cc	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-rlc.cc	2025-03-09 16:55:49.603371900 -0700
@@ -28,7 +28,7 @@
     /**
      * Constructor
      *
-     * \param rlc the RLC
+     * @param rlc the RLC
      */
     LteRlcSpecificLteMacSapUser(LteRlc* rlc);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-rlc.h ns-3.44/src/lte/model/lte-rlc.h
--- ns-3.43/src/lte/model/lte-rlc.h	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-rlc.h	2025-03-09 16:55:49.603371900 -0700
@@ -14,11 +14,11 @@
 
 #include "ns3/nstime.h"
 #include "ns3/object.h"
+#include "ns3/packet.h"
+#include "ns3/simple-ref-count.h"
 #include "ns3/trace-source-accessor.h"
 #include "ns3/traced-value.h"
 #include "ns3/uinteger.h"
-#include <ns3/packet.h>
-#include <ns3/simple-ref-count.h>
 
 namespace ns3
 {
@@ -45,8 +45,8 @@
     LteRlc();
     ~LteRlc() override;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     void DoDispose() override;
@@ -54,75 +54,75 @@
     /**
      *
      *
-     * \param rnti
+     * @param rnti
      */
     void SetRnti(uint16_t rnti);
 
     /**
      *
      *
-     * \param lcId
+     * @param lcId
      */
     void SetLcId(uint8_t lcId);
 
     /**
-     * \param packetDelayBudget
+     * @param packetDelayBudget
      */
     void SetPacketDelayBudgetMs(uint16_t packetDelayBudget);
 
     /**
      *
      *
-     * \param s the RLC SAP user to be used by this LTE_RLC
+     * @param s the RLC SAP user to be used by this LTE_RLC
      */
     void SetLteRlcSapUser(LteRlcSapUser* s);
 
     /**
      *
      *
-     * \return the RLC SAP Provider interface offered to the PDCP by this LTE_RLC
+     * @return the RLC SAP Provider interface offered to the PDCP by this LTE_RLC
      */
     LteRlcSapProvider* GetLteRlcSapProvider();
 
     /**
      *
      *
-     * \param s the MAC SAP Provider to be used by this LTE_RLC
+     * @param s the MAC SAP Provider to be used by this LTE_RLC
      */
     void SetLteMacSapProvider(LteMacSapProvider* s);
 
     /**
      *
      *
-     * \return the MAC SAP User interface offered to the MAC by this LTE_RLC
+     * @return the MAC SAP User interface offered to the MAC by this LTE_RLC
      */
     LteMacSapUser* GetLteMacSapUser();
 
     /**
      * TracedCallback signature for NotifyTxOpportunity events.
      *
-     * \param [in] rnti C-RNTI scheduled.
-     * \param [in] lcid The logical channel id corresponding to
+     * @param [in] rnti C-RNTI scheduled.
+     * @param [in] lcid The logical channel id corresponding to
      *             the sending RLC instance.
-     * \param [in] bytes The number of bytes to transmit
+     * @param [in] bytes The number of bytes to transmit
      */
     typedef void (*NotifyTxTracedCallback)(uint16_t rnti, uint8_t lcid, uint32_t bytes);
 
     /**
      * TracedCallback signature for
      *
-     * \param [in] rnti C-RNTI scheduled.
-     * \param [in] lcid The logical channel id corresponding to
+     * @param [in] rnti C-RNTI scheduled.
+     * @param [in] lcid The logical channel id corresponding to
      *             the sending RLC instance.
-     * \param [in] bytes The packet size.
-     * \param [in] delay Delay since sender timestamp, in ns.
+     * @param [in] bytes The packet size.
+     * @param [in] delay Delay since sender timestamp, in ns.
      */
     typedef void (*ReceiveTracedCallback)(uint16_t rnti,
                                           uint8_t lcid,
                                           uint32_t bytes,
                                           uint64_t delay);
 
-    /// \todo MRE What is the sense to duplicate all the interfaces here???
+    /// @todo MRE What is the sense to duplicate all the interfaces here???
     // NB to avoid the use of multiple inheritance
 
   protected:
@@ -130,7 +130,7 @@
     /**
      * Transmit PDCP PDU
      *
-     * \param p packet
+     * @param p packet
      */
     virtual void DoTransmitPdcpPdu(Ptr<Packet> p) = 0;
 
@@ -141,7 +141,7 @@
     /**
      * Notify transmit opportunity
      *
-     * \param params LteMacSapUser::TxOpportunityParameters
+     * @param params LteMacSapUser::TxOpportunityParameters
      */
     virtual void DoNotifyTxOpportunity(LteMacSapUser::TxOpportunityParameters params) = 0;
     /**
@@ -151,7 +151,7 @@
     /**
      * Receive PDU function
      *
-     * \param params the LteMacSapUser::ReceivePduParameters
+     * @param params the LteMacSapUser::ReceivePduParameters
      */
     virtual void DoReceivePdu(LteMacSapUser::ReceivePduParameters params) = 0;
 
@@ -192,8 +192,8 @@
     LteRlcSm();
     ~LteRlcSm() override;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     void DoInitialize() override;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-rlc-header.h ns-3.44/src/lte/model/lte-rlc-header.h
--- ns-3.43/src/lte/model/lte-rlc-header.h	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-rlc-header.h	2025-03-09 16:55:49.603371900 -0700
@@ -19,8 +19,8 @@
 {
 
 /**
- * \ingroup lte
- * \brief The packet header for the Radio Link Control (RLC) protocol packets
+ * @ingroup lte
+ * @brief The packet header for the Radio Link Control (RLC) protocol packets
  *
  * This class has fields corresponding to those in an RLC header as well as
  * methods for serialization to and deserialization from a byte buffer.
@@ -30,7 +30,7 @@
 {
   public:
     /**
-     * \brief Constructor
+     * @brief Constructor
      *
      * Creates a null header
      */
@@ -40,52 +40,52 @@
     /**
      * Set framing info
      *
-     * \param framingInfo framing info
+     * @param framingInfo framing info
      */
     void SetFramingInfo(uint8_t framingInfo);
     /**
      * Set sequence number
      *
-     * \param sequenceNumber sequence number
+     * @param sequenceNumber sequence number
      */
     void SetSequenceNumber(SequenceNumber10 sequenceNumber);
 
     /**
      * Get framing info
      *
-     * \returns framing info
+     * @returns framing info
      */
     uint8_t GetFramingInfo() const;
     /**
      * Get sequence number
      *
-     * \returns sequence number
+     * @returns sequence number
      */
     SequenceNumber10 GetSequenceNumber() const;
 
     /**
      * Push extension bit
      *
-     * \param extensionBit the extension bit
+     * @param extensionBit the extension bit
      */
     void PushExtensionBit(uint8_t extensionBit);
     /**
      * Push length indicator
      *
-     * \param lengthIndicator the length indicator
+     * @param lengthIndicator the length indicator
      */
     void PushLengthIndicator(uint16_t lengthIndicator);
 
     /**
      * Pop extension bit
      *
-     * \returns the extension bit
+     * @returns the extension bit
      */
     uint8_t PopExtensionBit();
     /**
      * Pop length indicator
      *
-     * \returns the length indicator
+     * @returns the length indicator
      */
     uint16_t PopLengthIndicator();
 
@@ -106,8 +106,8 @@
     };
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-rlc-sap.h ns-3.44/src/lte/model/lte-rlc-sap.h
--- ns-3.43/src/lte/model/lte-rlc-sap.h	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-rlc-sap.h	2025-03-09 16:55:49.603371900 -0700
@@ -40,7 +40,7 @@
      * Send a PDCP PDU to the RLC for transmission
      * This method is to be called
      * when upper PDCP entity has a PDCP PDU ready to send
-     * \param params the TransmitPdcpPduParameters
+     * @param params the TransmitPdcpPduParameters
      */
     virtual void TransmitPdcpPdu(TransmitPdcpPduParameters params) = 0;
 };
@@ -60,7 +60,7 @@
     /**
      * Called by the RLC entity to notify the PDCP entity of the reception of a new PDCP PDU
      *
-     * \param p the PDCP PDU
+     * @param p the PDCP PDU
      */
     virtual void ReceivePdcpPdu(Ptr<Packet> p) = 0;
 };
@@ -73,7 +73,7 @@
     /**
      * Constructor
      *
-     * \param rlc the RLC
+     * @param rlc the RLC
      */
     LteRlcSpecificLteRlcSapProvider(C* rlc);
 
@@ -82,7 +82,7 @@
 
     /**
      * Interface implemented from LteRlcSapProvider
-     * \param params the TransmitPdcpPduParameters
+     * @param params the TransmitPdcpPduParameters
      */
     void TransmitPdcpPdu(TransmitPdcpPduParameters params) override;
 
@@ -111,7 +111,7 @@
     /**
      * Constructor
      *
-     * \param pdcp the PDCP
+     * @param pdcp the PDCP
      */
     LteRlcSpecificLteRlcSapUser(C* pdcp);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-rlc-sdu-status-tag.h ns-3.44/src/lte/model/lte-rlc-sdu-status-tag.h
--- ns-3.43/src/lte/model/lte-rlc-sdu-status-tag.h	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-rlc-sdu-status-tag.h	2025-03-09 16:55:49.603371900 -0700
@@ -15,7 +15,7 @@
 {
 
 /**
- * \brief This class implements a tag that carries the status of a RLC SDU
+ * @brief This class implements a tag that carries the status of a RLC SDU
  * for the fragmentation process
  * Status of RLC SDU
  */
@@ -27,19 +27,19 @@
     /**
      * Set status function
      *
-     * \param status the status
+     * @param status the status
      */
     void SetStatus(uint8_t status);
     /**
      * Get status function
      *
-     * \returns the status
+     * @returns the status
      */
     uint8_t GetStatus() const;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
